path: /build/build/procs-sys-process-0.14.8.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - eselect rust cleanup && eselect rust list && cp procs-0.14.4.ebuild /var/git/meta-repo/kits/core-kit/sys-process/procs/procs-0.14.4.ebuild
  - |
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} sys-process/procs -pv -t
  - |
    emerge -j ${JOBS} --nodeps sys-process/procs
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/procs && luet-portage --dir
    /pkgdir/procs sys-process/procs
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree:a7e55b11fe4ce70373414628eae64cf6996738e4093d07de213318b874cc23b6
  package:
    name: procs
    version: 0.14.8
    category: sys-process
    requires:
    - name: macaroni-funtoo-race3
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A modern replacement for ps
    uri:
    - https://github.com/dalance/procs
    license: Apache-2.0 BSD BSD-2 CC0-1.0 MIT ZLIB
    buildtimestamp: 2024-12-03 22:35:35.504836708 +0000 UTC m=+239.726491122
    labels:
      BDEPEND: virtual/rust >=virtual/rust-1.37.0
      IUSE: debug
      emerge.packages: sys-process/procs
      kit: core-kit
      original.package.name: sys-process/procs
      original.package.slot: "0"
      original.package.version: 0.14.8
    treedir: /build/packages
  package_dir: /pkgdir/procs
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: e8946e2fdc1b1d76bc5c27cfe5feb2b03e440aa75461afcf6c6eeac59286d7a3
compressiontype: zstd
files:
- usr/bin/procs
- usr/share/doc/procs-0.14.8/README.md.bz2
- var/db/pkg/sys-process/procs-0.14.8/BDEPEND
- var/db/pkg/sys-process/procs-0.14.8/BUILD_TIME
- var/db/pkg/sys-process/procs-0.14.8/CATEGORY
- var/db/pkg/sys-process/procs-0.14.8/CBUILD
- var/db/pkg/sys-process/procs-0.14.8/CC
- var/db/pkg/sys-process/procs-0.14.8/CFLAGS
- var/db/pkg/sys-process/procs-0.14.8/CHOST
- var/db/pkg/sys-process/procs-0.14.8/CONTENTS
- var/db/pkg/sys-process/procs-0.14.8/COUNTER
- var/db/pkg/sys-process/procs-0.14.8/CTARGET
- var/db/pkg/sys-process/procs-0.14.8/CXX
- var/db/pkg/sys-process/procs-0.14.8/CXXFLAGS
- var/db/pkg/sys-process/procs-0.14.8/DEFINED_PHASES
- var/db/pkg/sys-process/procs-0.14.8/DESCRIPTION
- var/db/pkg/sys-process/procs-0.14.8/EAPI
- var/db/pkg/sys-process/procs-0.14.8/FEATURES
- var/db/pkg/sys-process/procs-0.14.8/HOMEPAGE
- var/db/pkg/sys-process/procs-0.14.8/INHERITED
- var/db/pkg/sys-process/procs-0.14.8/IUSE
- var/db/pkg/sys-process/procs-0.14.8/IUSE_EFFECTIVE
- var/db/pkg/sys-process/procs-0.14.8/KEYWORDS
- var/db/pkg/sys-process/procs-0.14.8/LDFLAGS
- var/db/pkg/sys-process/procs-0.14.8/LICENSE
- var/db/pkg/sys-process/procs-0.14.8/NEEDED
- var/db/pkg/sys-process/procs-0.14.8/NEEDED.ELF.2
- var/db/pkg/sys-process/procs-0.14.8/PF
- var/db/pkg/sys-process/procs-0.14.8/REQUIRES
- var/db/pkg/sys-process/procs-0.14.8/SIZE
- var/db/pkg/sys-process/procs-0.14.8/SLOT
- var/db/pkg/sys-process/procs-0.14.8/USE
- var/db/pkg/sys-process/procs-0.14.8/environment.bz2
- var/db/pkg/sys-process/procs-0.14.8/procs-0.14.8.ebuild
- var/db/pkg/sys-process/procs-0.14.8/repository
package_cacheimage: ""
runtime:
  name: procs
  version: 0.14.8
  category: sys-process
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A modern replacement for ps
  uri:
  - https://github.com/dalance/procs
  license: Apache-2.0 BSD BSD-2 CC0-1.0 MIT ZLIB
  labels:
    BDEPEND: virtual/rust >=virtual/rust-1.37.0
    IUSE: debug
    emerge.packages: sys-process/procs
    kit: core-kit
    original.package.name: sys-process/procs
    original.package.slot: "0"
    original.package.version: 0.14.8
